<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-192 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%"  height="100%" border="0" cellspacing="0" cellpadding="0" valign="top">
  <tr>
    <td style="background-image:url(images/001.gif);background-position:bottom;background-repeat:repeat-x;padding-top:5px;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="10"></td>
        <td>
		 <!-- MENU -->
		<table  border="0" cellspacing="0" cellpadding="0" align="center">
          <tr>
           <xsl:call-template name="TOP-MENU"/>
           
          </tr>
        </table>
		 <!-- END MENU -->
		</td>
        <td width="10"></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td valign="top" style="padding-top:1px;padding-bottom:1px;" height="215"><table width="100%"  height="100%" border="0" cellspacing="0" cellpadding="0" valign="top">
      <tr>
        <td width="246" background="images/header1.gif" style="background-repeat:no-repeat;background-position:top;width:246px;">
		<!-- LOGO -->
		<table width="200"  border="0" align="center" cellpadding="0" cellspacing="1">
          <tr>
            <td><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
          </tr>
          <tr>
            <td class="company"><div align="center"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div></td>
          </tr>
          <tr>
            <td class="slogan"><div align="center"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></td>
          </tr>
        </table>
		<!-- END LOGO -->
		</td>
        <td background="images/header2.gif" style="background-position:top;background-repeat:repeat-x;" valign="top"><div align="right" valign="top"><img src="images/header.gif"/></div></td>
      </tr>
    </table></td>
  </tr>
  <tr bgcolor="#A1A09E">
    <td height="1"></td>
  </tr>
  <tr>
    <td valign="top" height="100%"><table width="100%"   height="100%" border="0" cellspacing="0" cellpadding="0" valign="top">
      <tr>
        <td width="246" valign="top"><table width="246" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td style="padding-top:15px;padding-bottom:15px;" valign="top">
			<!-- SUBMENU -->
			<table width="187" border="0" align="center" cellpadding="0" cellspacing="0">
             <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
             
            </table>
			<!-- END SUBMENU -->
			</td>
          </tr>
        </table></td>
        <td width="1" bgcolor="#666666"></td>
        <td valign="top"><table width="100%"  height="100%" border="0" cellpadding="0" cellspacing="0" style="padding:20px">
          <tr>
            <td valign="top">
			<!-- CONTENT -->
			<table  border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                  <td><img src="images/004.gif" width="17" height="17"/></td>
                </tr>
              </table>
                <br/>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td>
          </tr>
        </table>
		<!-- END CONTENT -->
		</td>
      </tr>
    </table></td>
  </tr>
  <tr bgcolor="#A1A09E">
    <td height="1"><img src="images/123.gif" width="780" height="1"/></td>
  </tr>
  <tr>
    <td style="padding-top:1px;padding-bottom:1px;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td style="background-image:url(images/005.gif);background-position:bottom;background-repeat:repeat-x;padding-top:5px;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="20"></td>
            <td>
			<!-- BOTTOM MENU -->
			<table  border="0" cellspacing="0" cellpadding="0" align="center">
                <tr>
				<xsl:call-template name="BOTTOM-MENU"/>

                  
                </tr>
            </table>
			<!-- END BOTTOM MENU -->
			</td>
            <td width="20"></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr bgcolor="#A1A09E">
    <td height="1"></td>
  </tr>
 <tr >
    <td style="padding:20px;" ><table  border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
      </tr>
    </table></td>
  </tr>
</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >


 <tr>
                <td class="s1"><img src="images/003.gif" width="8" height="7"/></td>
              <td class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
              </tr>

		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">


<tr>
 <td class="s1"><img src="images/003.gif" width="8" height="7"/></td>
 <td class="smenua"><a href='{@HREF}' class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
              </tr>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

 <tr>
 <td colspan="2"><img src="images/003_1.gif" width="187" height="23"/></td>
 </tr>

	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">



<td class="b1"><img src="images/006.gif" width="6" height="4"/></td>
 <td class="bmenua"><a href='{@HREF}' class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
				  
	   </xsl:when>

           <!-- when active-->
           
           <xsl:otherwise>

<td class="b1"><img src="images/006.gif" width="6" height="4"/></td>
 <td class="bmenu"><a href='{@HREF}' class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">

 <td class="t1"><img src="images/002.gif" width="2" height="37"/></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
