<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>
 
	<xsl:template match="MENU" mode="sub">
		<xsl:apply-templates select="MENU-ITEM"  mode="sub"/>
	</xsl:template> 


	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="sub">
        <xsl:choose>
                <xsl:when test="@ID=/LAYOUT/@ID" >
   					<tr>	
   						<td width="74" align="right" height="34"><img src="images/submenu_bullet.gif" border="0" style="margin-right: 6px;"/></td>
   						<td width="81" style="padding-right: 5px"><span class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>					
   					</tr>
   					<tr><td height="1" colspan="2"><img src="images/submenu_hr.gif" border="0"/></td></tr>
                </xsl:when>
                <xsl:otherwise>
					<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
   						<tr>	
   							<td width="74" align="right" height="34"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" style="margin-right: 6px;"/></a></td>
   							<td width="81" style="padding-right: 5px"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>					
   						</tr>
   						<tr><td height="1" colspan="2"><img src="images/submenu_hr.gif" border="0"/></td></tr>
					</xsl:if>
                </xsl:otherwise>
        </xsl:choose>
	</xsl:template>


	<xsl:template match="MENU-ITEM" mode="top">
		<xsl:choose>
			<!-- when vizited inside-->
			<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
   				<tr>	
   					<td width="57" align="right" height="29"><a href="{@HREF}"><img src="images/bullet.gif" border="0" style="margin-right: 10px;"/></a></td>
   					<td width="98" style="padding-right: 5px"><a href="{@HREF}" class="amenu" style="text-decoration: underline;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>					
   				</tr>
   				<tr><td height="1" colspan="2"><img src="images/menu_hr.gif" border="0"/></td></tr>

   					<!-- CALL SUB-MENU-->
   					<xsl:call-template name="SUB-MENU">
						<xsl:with-param name="pageID" select="@ID"/>
   					</xsl:call-template>

			</xsl:when>
			<!-- when active-->
			
			<xsl:otherwise>
   				<tr>	
   					<td width="57" align="right" height="29"><a href="{@HREF}"><img src="images/bullet.gif" border="0" style="margin-right: 10px;"/></a></td>
   					<td width="98" style="padding-right: 5px"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>					
   				</tr>
   				<tr><td height="1" colspan="2"><img src="images/menu_hr.gif" border="0"/></td></tr>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>


</xsl:stylesheet>
