<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
<!-- eug-03 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
        <TABLE WIDTH="780" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" bgcolor="White">
        	<!-- HEADER -->
	
			
        	<TR>
        		<TD colspan="2" height="168" width="519" valign="top" style="background-image: url('images/header_left.jpg'); background-repeat: no-repeat;">
        			<table cellpadding="0" cellspacing="0" width="519" height="168" border="0">
   						<tr><td height="50%"></td></tr>
						<tr>
							<td width="519">
								<table cellpadding="0" cellspacing="0" style="margin-left: 106px;" width="410">
			        				<tr><td rowspan="2" valign="top"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td><td class="company" valign="bottom" width="100%"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
			        				<tr><td class="slogan" style="padding-left: 5px" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
			        			</table>
							</td>
						</tr>
						<tr><td height="50%"></td></tr>
					</table>
        		</TD>
        		<TD rowspan="2" width="261" height="245" valign="top"><img src="images/header_right.jpg"/></TD>
        	</TR>

        	<!-- END HEADER -->	
        	<TR>
        		<TD rowspan="2" valign="top" width="155" align="right" height="100%">
        		<!-- MENU -->
        			<table cellpadding="0" cellspacing="0" width="155"><tr><td style="background-color: #68D5EF; background-image:  url('images/submenu_tbg.gif'); background-position: top left; background-repeat: no-repeat;">
        			<table cellpadding="0" cellspacing="0" width="155" border="0" height="315">
        				<tr><td height="30" colspan="2"><div style="width:155px; height:30px;"><spacer type="block" width="155" height="30" /></div></td></tr>


    					<!-- CALL TOP-MENU-->
    					<xsl:call-template name="TOP-MENU"/>

						<tr><td colspan="2" height="100%"></td></tr>
        				<tr><td height="81" colspan="2" valign="bottom"><img src="images/submenu_bbg.gif" border="0"/></td></tr>

        				
        			</table>
        			</td></tr></table>
        		<!-- END MENU -->
        		</TD>
        		<TD width="364" height="77" style="background-image: url('images/txtheader_bg.jpg'); background-repeat: no-repeat;">
        		<!-- TEXT HEADER -->
        			 <div class="text-header" style="margin: 5px 5px 5px 80px"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
        		<!-- END TEXT HEADER -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="625" height="670" valign="top" style="background-image: url('images/bg.gif'); background-repeat: no-repeat;">
        		<!-- CONTENT -->
        		<table cellpadding="0" cellspacing="0" width="465"  style="margin: 20px 80px 20px 80px;">
        		<tr>
        			<td width="465" valign="top" class="text">
						<xsl:apply-templates select="PAGE-CONTENT"/>
        			</td>
        		</tr>
        		</table>		
        		<!-- END CONTENT -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="3" height="50" style="padding: 20px;" bgcolor="#838383">
        		<!-- FOOTER -->
        			<div class="footer" style="float: left"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
        		<!-- END FOOTER -->
        		</TD>
        	</TR>
        </TABLE>
		</td></tr></table>
        </BODY>
		</html>

	</xsl:template>



	<!-- SUB-MENU -->
	<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>
	</xsl:template>

	<!-- SUB-MENU --> 
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
    		<xsl:choose>
    			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
            		<tr><td colspan="2">
            			<table cellpadding="0" cellspacing="0" width="155">
	    					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
                		</table>
                	</td></tr>
    			</xsl:when>
    			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
    				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
            		<tr><td colspan="2">
            			<table cellpadding="0" cellspacing="0" width="155">
		    				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
                		</table>
                	</td></tr>
    			</xsl:when>
    			<xsl:otherwise>
    			</xsl:otherwise>
    		</xsl:choose>
	</xsl:template>

	
	
	
	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
